com.smartgwt.client.util

## Class NumberUtil

- java.lang.Object
- - com.smartgwt.client.util.NumberUtil

-     public class NumberUtil
      extends java.lang.Object

  Static singleton class containing APIs for interacting with Numbers.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumberUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `format(double number, java.lang.String format)` Return the parameter number formatted according to the parameter `FormatString`.
    `static java.lang.String` | `format(java.lang.Double number, java.lang.String format)` Return the parameter number formatted according to the parameter `FormatString`.
    `static java.lang.String` | `format(float number, java.lang.String format)` Return the parameter number formatted according to the parameter `FormatString`.
    `static java.lang.String` | `format(java.lang.Float number, java.lang.String format)` Return the parameter number formatted according to the parameter `FormatString`.
    `static java.lang.String` | `format(java.lang.Integer number, java.lang.String format)` Return the parameter number formatted according to the parameter `FormatString`.
    `static java.lang.String` | `format(int number, java.lang.String format)` Return the parameter number formatted according to the parameter `FormatString`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NumberUtil

          public NumberUtil()

  - ### Method Detail

    - #### format

          public static java.lang.String format(int number,
                                java.lang.String format)

      Return the parameter number formatted according to the parameter `FormatString`. This method is used to implement the `format` functionality, but it can also be used to format arbitrary numbers programmatically.
      Parameters:
        `number` - The number to format
        `format` - The format to apply. See `FormatString`
      Returns:
        formatted number string

    - #### format

          public static java.lang.String format(float number,
                                java.lang.String format)

      Return the parameter number formatted according to the parameter `FormatString`. This method is used to implement the `format` functionality, but it can also be used to format arbitrary numbers programmatically.
      Parameters:
        `number` - The number to format
        `format` - The format to apply. See `FormatString`
      Returns:
        formatted number string

    - #### format

          public static java.lang.String format(double number,
                                java.lang.String format)

      Return the parameter number formatted according to the parameter `FormatString`. This method is used to implement the `format` functionality, but it can also be used to format arbitrary numbers programmatically.
      Parameters:
        `number` - The number to format
        `format` - The format to apply. See `FormatString`
      Returns:
        formatted number string

    - #### format

          public static java.lang.String format(java.lang.Integer number,
                                java.lang.String format)

      Return the parameter number formatted according to the parameter `FormatString`. This method is used to implement the `format` functionality, but it can also be used to format arbitrary numbers programmatically.
      Parameters:
        `number` - The number to format
        `format` - The format to apply. See `FormatString`
      Returns:
        formatted number string

    - #### format

          public static java.lang.String format(java.lang.Float number,
                                java.lang.String format)

      Return the parameter number formatted according to the parameter `FormatString`. This method is used to implement the `format` functionality, but it can also be used to format arbitrary numbers programmatically.
      Parameters:
        `number` - The number to format
        `format` - The format to apply. See `FormatString`
      Returns:
        formatted number string

    - #### format

          public static java.lang.String format(java.lang.Double number,
                                java.lang.String format)

      Return the parameter number formatted according to the parameter `FormatString`. This method is used to implement the `format` functionality, but it can also be used to format arbitrary numbers programmatically.
      Parameters:
        `number` - The number to format
        `format` - The format to apply. See `FormatString`
      Returns:
        formatted number string